curl --request PATCH \
--url https://api.voxo.co/v2/admin/phonebooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"provisioning": 0,
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"routeTo": "<string>",
"speedDial": "<string>"
}
]
}
'import requests
url = "https://api.voxo.co/v2/admin/phonebooks/{id}"
payload = {
"name": "<string>",
"provisioning": 0,
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"routeTo": "<string>",
"speedDial": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
provisioning: 0,
contacts: [
{
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: '<string>',
routeTo: '<string>',
speedDial: '<string>'
}
]
})
};
fetch('https://api.voxo.co/v2/admin/phonebooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenant": {
"id": 123,
"name": "<string>"
},
"name": "<string>",
"includeExt": "<string>",
"provisioning": 123,
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"routeTo": "<string>",
"speedDial": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Update Phonebook
Sparse update of header fields. When contacts is present, all existing entries are deleted and rebuilt from the array (empty array clears all contacts); omit contacts to leave them untouched.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phonebook ID
^[1-9]\d*$Body
Phonebook name
1 - 255Include tenant extensions in the phonebook (yes/no)
yes, no Provision this phonebook to hardware (1) or not (0)
0 <= x <= 1Full replacement of the phonebook's contacts. When present, all existing entries are deleted and rebuilt from this array (empty array clears all contacts). Omit to leave contacts untouched.
Show child attributes
Show child attributes
Response
Updated phonebook
Phonebook ID
Owning tenant
Show child attributes
Show child attributes
Phonebook name
Whether tenant extensions are included
Provisioning flag (1/0)
Contacts in this phonebook
Show child attributes
Show child attributes
Was this page helpful?